{*** @author metacreo <metacreo@newestvision.com> ***}

{if $voting}
<div id="svModal" class="svModal" data-voting-id="{$voting.id_voting}">
  <div class="svModal-box {if $voting.modal}svModal-box-{$voting.modal} {/if}">
    <div class="svModal-content">
      <form action="{$sv_link}" method="post" id="svForm">
        <div class="svModal-header" id="svModalHeader">
{if $voting.show_title}
          <span class="svTitle">{$voting.name}</span>
{/if}
{if $voting.can_close}
    {if $voting.can_dismiss}
          <input type="checkbox" class="svDismiss" name="svDismiss" id="svDismiss">
          <label class="svDismissLabel" for="svDismiss">{l s='Do not show this again' mod='simplevotings'}</label>
    {/if}
          <button type="button" id="svClose" class="svClose"></button>
{/if}
        </div>
        <div class="svModal-body" id="svModalBody">
          <div class="svModal-voting">
            {$voting.description nofilter}
          </div>
{if $voting.view}
          <div class="svCards">
    {foreach from=$voting.options item=opt}
            <div class="svCol">
              <div class="svCard">
        {if $opt.show_count}
                <span class="svCardBadge">{$opt.count}</span>
        {/if}
                <div class="svCardBody">
        {if $opt.show_title}
                  <span class="svCardTitle">{$opt.name}</span>
        {/if}
                  {$opt.description nofilter}
                </div>
                <div class="svCardFooter">
        {if $voting.multiple}
                  <input type="checkbox" class="svOptChk" name="option[]" id="svOptChk{$opt@index+1}" value="{$opt.id_voting_option}">
                  <label class="svOptLabel" for="svOptChk{$opt@index+1}">{if !empty($opt.button)}{$opt.button}{else} ✓ {/if}</label>
        {else}
                  <button type="submit" class="svOptBtn" name="option[]" id="svOptBtn{$opt@index+1}" value="{$opt.id_voting_option}">
                    <span>{if !empty($opt.button)}{$opt.button}{else} ✓ {/if}</span>
                  </button>
        {/if}
                </div>
              </div>
            </div>
    {/foreach}
          </div>
{else}
          <table class="svTable">
    {foreach from=$voting.options item=opt}
            <tr>
              <td class="svListAction">
        {if $voting.multiple}
                <input type="checkbox" class="svOptChk" name="option[]" id="svOptChk{$opt@index+1}" value="{$opt.id_voting_option}">
                <label class="svOptLabel" for="svOptChk{$opt@index+1}">{if !empty($opt.button)}{$opt.button}{else} ✓ {/if}</label>
        {else}
                <button type="submit" class="svOptBtn" name="option[]" id="svOptBtn{$opt@index+1}" value="{$opt.id_voting_option}">
                  <span>{if !empty($opt.button)}{$opt.button}{else} ✓ {/if}</span>
                </button>
        {/if}
              </td>
              <td class="svListContent">
        {if $opt.show_title}
                <div class="svOptListTitle">{$opt.name}</div>
        {/if}
                {$opt.description nofilter}
              </td>
              <td class="svListBadgeHolder">
        {if $opt.show_count}
                <span class="svListBadge">{$opt.count}</span>
        {/if}
              </td>
            </tr>
    {/foreach}
          </table>
{/if}
          
        </div>
{if $voting.multiple}
        <div class="svModal-footer" id="svModalFooter">
          <button type="submit" id="svSubmit" class="svSubmit" disabled>{l s='Complete survey' mod='simplevotings'}</button>
        </div>
{/if}
      </form>
    </div>
  </div>
</div>
{/if}